package entity

import (
	commonEntity "cicv-data-closedloop/common/entity"
	"time"
)

type ExamPao struct {
	TeamName string `json:"teamName"` // 队伍名字
}

type ExamPo struct {
	Id              int       `db:"id"` // 自增id
	TeamName        string    `db:"team_name"`
	Topic           string    `db:"topic"`
	BeginTime       time.Time `db:"begin_time"`
	EndTime         time.Time `db:"end_time"`
	ScoreOnline     float64   `db:"score_online"`
	ScoreOffline    float64   `db:"score_offline"`
	ScoreFinal      float64   `db:"score_final"`
	Details         string    `db:"details"`
	ScoreReportPath string    `db:"score_report_path"`
}

type ExamPagePao struct {
	Page     commonEntity.PagePao
	TeamName string `json:"teamName"` // 队伍名字
	Topic    string `json:"topic"`
}

type ExamPageVo struct {
	Exam ExamPo
	Page commonEntity.PagePao
}
